Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class DNConstraintsType

    java.lang.Object
      org.apache.cxf.configuration.security.DNConstraintsType

    public class DNConstraintsType

extends java.lang.Object

This structure holds a list of regular expressions that corresponds to a sequence of Certificate Constraints. The optional combinator attribute refers to whether ALL or ANY of these regular expressions must be satisfied.

Java class for DNConstraintsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DNConstraintsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="RegularExpression" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             </choice>
           </sequence>
           <attribute name="combinator" type="{http://cxf.apache.org/configuration/security}CombinatorType" default="ALL" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CombinatorType` | `combinator`
`protected java.util.List<java.lang.String>` | `regularExpression`

Constructor Summary
`DNConstraintsType()`

Method Summary
`CombinatorType` | `getCombinator()` Gets the value of the combinator property.
`java.util.List<java.lang.String>` | `getRegularExpression()` Gets the value of the regularExpression property.
`boolean` | `isSetCombinator()`
`boolean` | `isSetRegularExpression()`
`void` | `setCombinator(CombinatorType value)` Sets the value of the combinator property.
`void` | `unsetRegularExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### regularExpression

    protected java.util.List<java.lang.String> regularExpression

### combinator

    protected CombinatorType combinator

Constructor Detail

### DNConstraintsType

    public DNConstraintsType()

Method Detail

### getRegularExpression

    public java.util.List<java.lang.String> getRegularExpression()

  Gets the value of the regularExpression property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regularExpression property.

  For example, to add a new item, do as follows:

          getRegularExpression().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isSetRegularExpression

    public boolean isSetRegularExpression()

### unsetRegularExpression

    public void unsetRegularExpression()

### setCombinator

    public void setCombinator(CombinatorType value)

  Sets the value of the combinator property.

  Parameters:
    `value` - allowed object is `CombinatorType`

### isSetCombinator

    public boolean isSetCombinator()

### getCombinator

    public CombinatorType getCombinator()

  Gets the value of the combinator property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF